
(let*
    (
     (title-colors (list "#333333" "#000000"))
     
     (htab-position
      (lambda (w)
	(- (/ (cdr (window-dimensions w)) 2) 6)
	))     
     
     (title-i (mapcar (lambda (i)
			(if (stringp i)
			    (set-image-border (make-image i) 5 14 5 5))
			)
		      (list "b_title_normal_normal.png"
			    "b_title_active_hilited.png"
			    nil
			    "b_title_active_clicked.png"
			    )))
     (kill-i
      (list
       (make-image "b_kill_normal_normal.png")
       (make-image "b_kill_normal_hilited.png")
       nil
       (make-image "b_kill_normal_clicked.png")))
     (iconify-i
      (list
       (make-image "b_minimize_normal_normal.png")
       (make-image "b_minimize_normal_hilited.png")
       nil
       (make-image "b_minimize_normal_clicked.png")))
     (spacer-i
      (list
       (make-image "b_spacer_normal_normal.png")
       (make-image "b_spacer_normal_hilited.png")
       nil
       (make-image "b_spacer_normal_clicked.png")))
     (stick-i
      (list
       (make-image "b_stick_normal_normal.png")
       (make-image "b_stick_normal_hilited.png")
       nil
       (make-image "b_stick_normal_clicked.png")))
     (icondrag-i
      (list
       (make-image "b_icondrag_normal_normal.png")
       (make-image "b_icondrag_normal_hilited.png")
       nil
       (make-image "b_icondrag_normal_clicked.png")))
     (tag-i
      (list
       (make-image "b_tag_normal_normal.png")
       (make-image "b_tag_normal_hilited.png")
       nil
       (make-image "b_tag_normal_clicked.png")))
     (bottom-i
      (list
       (make-image "b_bottom_normal_normal.png")
       (make-image "b_bottom_normal_hilited.png")
       nil
       (make-image "b_bottom_normal_clicked.png")))
     (htab-i
      (list
       (make-image "b_htab_normal_normal.png")
       (make-image "b_htab_normal_hilited.png")
       nil
       (make-image "b_htab_normal_clicked.png")))
     (resize-i
      (list
       (make-image "b_resize_normal_normal.png")
       (make-image "b_resize_normal_hilited.png")
       nil
       (make-image "b_resize_normal_clicked.png")))
    
     (frame
      `(	      
	((background . ,iconify-i)
	 (top-edge . -20)
	 (left-edge . -10)
	 (class . iconify-button))
	((background . ,title-i)
	 (top-edge . -20)
	 (left-edge . 0)
	 (right-edge . 19)
	 (foreground . ,title-colors)
	 (text . ,window-name)
	 (x-justify . 8)
	 (y-justify . center)
	 (class . title))
	((background . ,kill-i)
	 (top-edge . -20)
	 (right-edge . -1)
	 (class . close-button))

	((background . "black")
	 (width  . 1)
	 (left-edge . -1)
	 (top-edge . 0)
	 (bottom-edge . 0))
	((background . ,htab-i)
	 (left-edge . -4)
	 (top-edge . ,htab-position)
	 (class . left-border))
	
	((background . "black")
	 (width  . 1)
	 (right-edge . -1)
	 (top-edge . 0)
	 (bottom-edge . 0))	 
	((background . ,htab-i)
	 (right-edge . -4)
	 (top-edge . ,htab-position)
	 (class . right-border))
	
	((background . ,icondrag-i)
	 (top-edge . 0)
	 (left-edge . -10)
	 (class . maximize-button))
	((background . ,stick-i)
	 (top-edge . 20)
	 (left-edge . -10))
	((background . ,spacer-i)
	 (top-edge . 30)
	 (left-edge . -10))
	
	((background . ,tag-i)
	 (bottom-edge . -6)
	 (left-edge . -1)
	 (class . bottom-left-corner))
	((background . ,tag-i)
	 (bottom-edge . -6)
	 (left-edge . 5))
	((background . ,bottom-i)
	 (bottom-edge . -6)
	 (left-edge . 11)
	 (right-edge . 0)
	 (class . bottom-border))
	((background . ,resize-i)
	 (bottom-edge . -9)
	 (right-edge . -4)
	 (class . bottom-right-corner))
	))

     (shaped-frame
      `(	      
	((background . ,iconify-i)
	 (top-edge . -20)
	 (left-edge . -10)
	 (class . iconify-button))
	((background . ,title-i)
	 (top-edge . -20)
	 (left-edge . 0)
	 (right-edge . 19)
	 (foreground . ,title-colors)
	 (text . ,window-name)
	 (x-justify . 10)
	 (y-justify . center)
	 (class . title))
	((background . ,kill-i)
	 (top-edge . -20)
	 (right-edge . -1)
	 (class . close-button))
	
	((background . ,tag-i)
	 (top-edge . 0)
	 (left-edge . 0)
	 (class . bottom-left-border))
	((background . ,bottom-i)
	 (top-edge . 0)
	 (left-edge . 6)
	 (right-edge . 0)
	 (class . bottom-border))
	((background . ,resize-i)
	 (top-edge . 3)
	 (right-edge . -4)
	 (class . bottom-right-corner))
	))
  
     (transient-frame
      `(
	((background . ,iconify-i)
	 (top-edge . -20)
	 (left-edge . -10)
	 (class . iconify-button))
	((background . ,title-i)
	 (top-edge . -20)
	 (left-edge . 0)
	 (right-edge . -1)
	 (foreground . ,title-colors)
	 (text . ,window-name)
	 (x-justify . 10)
	 (y-justify . center)
	 (class . title))
	
	((background . ,resize-i)
	 (bottom-edge . -4)
	 (right-edge . -4)
	 (class . bottom-right-corner))
	))

     (shaped-transient-frame
      `(	      
	((background . ,iconify-i)
	 (top-edge . -20)
	 (left-edge . -10)
	 (class . iconify-button))
	((background . ,title-i)
	 (top-edge . -20)
	 (left-edge . 0)
	 (right-edge . -1)
	 (foreground . ,title-colors)
	 (text . ,window-name)
	 (x-justify . 10)
	 (y-justify . center)
	 (class . title))
	))
     )
  (add-frame-style 'e14
		 (lambda (w type)
		   (case type
		     ((default) frame)
		     ((transient) transient-frame)
		     ((shaped) shaped-frame)
		     ((shaped-transient) shaped-transient-frame)
		     )))
  )
